package com.muyu.common.data.base;

/**
 * @Author：zhangzhihao
 * @name：BaseDataAbsSource
 * @Date：2024/8/28 19:07
 * 数据接入抽象类
 */
public abstract class BaseDataAbsSource implements BaseDataSource{


    @Override
    public void setQuery(BaseQuery baseQuery){
        BaseQueryHandler.set(baseQuery);
    }

    @Override
    public <T> T getQuery(){
       return BaseQueryHandler.get();
    }
}
