package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author：zhangzhihao
 * @name：addInvoke
 * @Date：2024/9/4 20:26
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InvokeLog {
    @Excel(name = "主键")
    @TableId
    private Long id;

    @Excel(name = "用户ID")
    private Long userId;

    @Excel(name = "调用方法")
    private String methodName;

    @Excel(name = "调用时间")
    private Date time;
}
