package com.muyu.datasources.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.AssetAccredit;
import com.muyu.common.domain.req.AssetAccreditReq;
import com.muyu.common.domain.resp.AssetAccreditResp;
import com.muyu.common.system.domain.SysDept;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：assetAccreditService
 * @Date：2024/8/30 9:38
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
public interface AssetAccreditService extends IService<AssetAccredit> {


    List<Long> findUserIdList(AssetAccreditReq req);


    int delUserAssetAccredit(AssetAccreditReq req);

    int delDeptAssetAccredit(AssetAccreditReq req);

    List<Long> findDeptIdList(AssetAccreditReq req);

    List<AssetAccreditResp> findTableIdAndBasicIdByUserId(Long userId);

    List<AssetAccreditResp> findTableIdAndBasicIdByDeptId(Long deptId);
}
