package com.muyu.datasources.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.DataSources;
import com.muyu.common.domain.req.DataSourcesReq;


/**
 * @Author：zhangzhihao
 * @name：DataSourcesService
 * @Date：2024/8/21 14:35
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
public interface DataSourcesService extends IService<DataSources> {



    /**
     * 查询所有已有数据源
     * @param req
     * @return
     */
    Page<DataSources> selectList(DataSourcesReq req);

    int connectDataSources(DataSources dataSources);


    Integer syncAssetStructure(DataSources dataSources);


}
