package com.muyu.datasources.service.impl;

import com.muyu.client.basic.DataSourceConfig;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.DataSources;
import com.muyu.datasources.service.DataSourcesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Service
@Primary
public class DataSourceConfigLocalImpl implements DataSourceConfig {

    @Autowired
    private DataSourcesService dataSourcesService;

    @Override
    public DataSources queryById(Long id) {
        return dataSourcesService.getById(id);
    }
}
