package com.muyu.datasources.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.DataValue;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：DataKltvService
 * @Date：2024/8/27 15:33
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
public interface DataValueService extends IService<DataValue> {

    List<List<DataValue>> findTableValue(Long basicId, String sql);

    List<DataValue> findTableValueByTableName(Long basicId, String tableName);

    List<List<DataValue>> findTableValueContributionRule(Long basicId, Long tableId);

    Long findCount(Long basicId, String sql);

    DataValue[][] findTableValueToArray(Long basicId, String sql, Long one, Integer two);
}
