package com.muyu.datasources.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.system.domain.SysUser;
import com.muyu.datasources.mapper.SysUserMapper;
import com.muyu.datasources.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author：zhangzhihao
 * @name：SysUserServiceImpl
 * @Date：2024/8/31 18:48
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements SysUserService {
    @Autowired
    private SysUserMapper userMapper;

    @Override
    public SysUser findUserById(Long userId) {
        return userMapper.findUserById(userId);
    }
}
